summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorAndreas Sturmlechner <asturm@gentoo.org>2019-03-09 19:09:42 +0100
committerAndreas Sturmlechner <asturm@gentoo.org>2019-03-09 19:47:17 +0100
commit2d191df87083c3e17db0ce6e815f93883be4172c (patch)
tree609994abfb68e69f566162d204dc062c4f851434 /kde-frameworks/kactivities
parentmedia-libs/gegl: 0.2 with ffmpeg 4 (diff)
downloadgentoo-2d191df87083c3e17db0ce6e815f93883be4172c.tar.gz
gentoo-2d191df87083c3e17db0ce6e815f93883be4172c.tar.bz2
gentoo-2d191df87083c3e17db0ce6e815f93883be4172c.zip
kde-frameworks: Add KDE Frameworks 5.56.0
Package-Manager: Portage-2.3.62, Repoman-2.3.12 Signed-off-by: Andreas Sturmlechner <asturm@gentoo.org>
Diffstat (limited to 'kde-frameworks/kactivities')
-rw-r--r--kde-frameworks/kactivities/Manifest1
-rw-r--r--kde-frameworks/kactivities/kactivities-5.56.0.ebuild26
2 files changed, 27 insertions, 0 deletions
diff --git a/kde-frameworks/kactivities/Manifest b/kde-frameworks/kactivities/Manifest
index 3e53ce02456..fa5821b4d06 100644
--- a/kde-frameworks/kactivities/Manifest
+++ b/kde-frameworks/kactivities/Manifest
@@ -1,2 +1,3 @@
DIST kactivities-5.54.0.tar.xz 61416 BLAKE2B cd8de61dcf8df25ef50de39695620f74779309839c43bc69728d939eba3cd84e77c919f18a0ab04f48babea8b55a583b9ef06fa5066ac020994389e34c1aa410 SHA512 d397c087f740e044a14f02bca47da2c267b4c9d9ab8231e240addf41eec6d716fc6d2a85bc3760636a69be55a058ba8d380c4555aa16ba43fff7fd2dfcb20a64
DIST kactivities-5.55.0.tar.xz 61468 BLAKE2B 17044e194f7b6bad95692fb19b967721812c03504e1f0364bb690f56b32783015a08c97ecfdaa7c665e8455fb492c5498d7386d835ded5d6bfa499f25de61c80 SHA512 84a48e658fcfe58c2878df27c90073b16682eedbde26311a8a3029203b69ffd3d75e2b61a870efd77a2ff0a4b520ae009e745d3ed85a60ebd723fcdf03aff61b
+DIST kactivities-5.56.0.tar.xz 61528 BLAKE2B 2564d58d1f560967577dd3afab9269396b2215d633e36ba1d85455aa3a51a597fbc5fb85102eaf360ac8b20ed325b415d2cf21ed754bbd9e9b1f10518fa7564c SHA512 9ace8bed36af21ebca6e694d4e2e1f3cd407f478dc3f382895ee6afa7496d5e0a5822b369def6259468a76064924ac6ba89f25c8c354a129be91344662b93568
diff --git a/kde-frameworks/kactivities/kactivities-5.56.0.ebuild b/kde-frameworks/kactivities/kactivities-5.56.0.ebuild
new file mode 100644
index 00000000000..dba127edefd
--- /dev/null
+++ b/kde-frameworks/kactivities/kactivities-5.56.0.ebuild
@@ -0,0 +1,26 @@
+# Copyright 1999-2019 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+inherit kde5
+
+DESCRIPTION="Framework for working with KDE activities"
+LICENSE="|| ( LGPL-2.1 LGPL-3 )"
+KEYWORDS="~amd64 ~arm ~arm64 ~x86"
+IUSE=""
+
+COMMON_DEPEND="
+ $(add_frameworks_dep kconfig)
+ $(add_frameworks_dep kcoreaddons)
+ $(add_qt_dep qtdbus)
+ $(add_qt_dep qtdeclarative widgets)
+ $(add_qt_dep qtgui)
+ $(add_qt_dep qtsql)
+"
+RDEPEND="${COMMON_DEPEND}
+ $(add_plasma_dep kactivitymanagerd)
+"
+DEPEND="${COMMON_DEPEND}
+ >=dev-libs/boost-1.54
+"